@font-face {
    font-family: 'nixieone';
    src: url('../assets/font/nixieone.ttf') format('truetype');
}

@font-face {
    font-family: 'tommy';
    src: url('../font/tommy.otf') format('truetype');
}

@font-face {
    font-family: 'tommylight';
    src: url('../font/tommylight.otf') format('truetype');
}

@font-face {
    font-family: 'tommybold';
    src: url('../font/tommybold.otf') format('truetype');
}

html,
body {
    height: 100%;
    margin: 0;
    padding: 0;
    background-color: #ffffff;
}

.header {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    width: 100%;
    border-top: 2px solid #163F2A;
    z-index: 10;
    width: 100%;
    background-image: linear-gradient(to bottom, #ffffff, #fffbf3);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    z-index: 1000;
}

.headernav {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    background-image: linear-gradient(to bottom, #ffffff, #fffbf3);
    transition: top 0.5s ease;
    z-index: 100;
}

.image-container {
    display: flex;
    justify-content: center;
    margin-top: 5px;
    margin-bottom: 5px;
}

.logo {
    width: 180px;
    height: auto;
    transition: width 0.4s ease, transform 0.4s ease, opacity 0.4s ease;
}

.logo-wrapper {
    display: flex;
    justify-content: center;
    padding: 15px 0;
    background-color: inherit;
}

.nav-wrapper {
    display: flex;
    justify-content: center;
    background-color: inherit;
}

.header.fixed .logo-wrapper {
    justify-content: flex-start;
    padding: 5px 20px;
}

.header.fixed .nav-wrapper {
    justify-content: flex-end;
}

.header-content {
    display: flex;
    align-items: center;
    justify-content: space-between;
    max-width: 1200px;
    margin: 0 auto;
    padding: 10px 20px;
    width: 100%;
}

.image-container {
    margin-right: 30px;
}

.logo img {
    max-height: 50px;
}


.header.fixed {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    background-color: #fff;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    z-index: 1000;
}

.header.fixed .headernav {
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
    gap: 20px;
}

.header.fixed .logo {
    width: 120px;
    transform: translateX(-20px);
}

.navbar {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 100%;
}

.navbar-opcoes {
    font-family: 'nixieone';
    font-weight: bold;
    font-size: 14px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    width: 100%;
}

.navbar-list {
    display: flex;
    padding: 5px;
    z-index: 999;
}

.navbar-list li {
    list-style: none;
}

.navbar-list a {
    color: #163F2A;
    text-decoration: none;
    padding: 10px 20px;
    transition: color 0.3s ease;
}

.navbar-list a:hover {
    color: #D8602A;
}

.menu-button {
    display: none;
}

/* Submenu */
.navbar-list li:hover > .sub-menu {
    display: flex;
    opacity: 1;
}
.sub-menu {
    display: none;
    position: absolute;
    top: 100%;
    background-color: #163F2A;
    border-radius: 10px;
    min-width: 260px;
    padding-block: 15px;
    opacity: 0;
    transition: opacity 0.4s ease;
}

.sub-menu.show {
    display: flex;
    flex-direction: column;
    opacity: 1;
}

.sub-menu li {
    padding-block: 10px;
    margin-right: 20px;
    margin-left: -20px;
}

.sub-menu li a {
    color: #F3E8D0;
    font-family: 'nixieone';
    font-weight: bold;
    transition: color 0.3s ease;
}

.sub-menu li a:hover {
    color: #D8602A;
}


@media (max-width: 1316px) {
    .header.fixed .logo {
        width: 90px;
    }

    .header.fixed .nav-wrapper {
        justify-content: center;
        width: 100%;
    }

    .navbar-list a {
        padding: 6px 8px;
        font-size: 13px;
    }

    .navbar-list {
        flex-wrap: wrap;
        justify-content: center;
        gap: 4px;
    }
}


@media (max-width: 1070px) {
    .navbar-list a {
        padding: 5px 6px;
    }
}

@media (max-width: 995px) {
    .header.fixed .logo {
        width: 80px;
    }

    .navbar-opcoes {
        font-size: 12px;
    }

}

@media (max-width: 970px) {
    .logo {
        width: 120px;
        height: auto;
        transition: none;
    }

    .header.fixed .logo {
        width: 120px;
        transform: none;
    }

    .menu-button {
        position: absolute;
        top: 20px;
        left: 20px;
        z-index: 1000;
        background: none;
        border: none;
        cursor: pointer;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        width: 30px;
        height: 25px;
    }

    .menu-button span {
        width: 100%;
        height: 4px;
        background-color: #333;
        border-radius: 5px;
    }

    .navbar-list {
        flex-direction: column;
        width: 100%;
        list-style: none;
        position: absolute;
        top: 60px;
        left: 0;
        background-color: #fff;
        width: 300px;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        display: none;
    }

    .navbar-list.show {
        display: flex !important;
    }

    .navbar-list li {
        padding: 5px;
    }

    .navbar-list li a {
        text-decoration: none;
        color: #333;
        display: block;
    }

    .sub-menu {
        display: flex;
        flex-direction: column;
        position: static;
        background-color: #fff; /* mesma cor do menu */
        padding-left: 20px;
        opacity: 1;
        box-shadow: none;
    }

    .sub-menu-lista {
        flex-direction: column;
    }

    .sub-menu li a {
        color: #333;
        padding: 8px 0;
        display: block;
    }
}

@media (max-width: 900px) {
    .navbar-list {
        flex-wrap: wrap;
        justify-content: center;
    }

    .navbar-list li {
        margin: 6px;
    }
}